#include "sample-3.h"

// This is the script that we are running.
// The update is called every frame.
// The conditions and actions run selectively based on the current step.

void ScriptUpdate() {
    // to avoid using absolute script step numbers, we count scriptStep
    // up with each step and use it as the script's step number.
    int scriptStep = 0;

    // before we begin, as our 1st instruction, we wait for user input
    ConditionWaitForMouseClick(scriptStep, scriptStep + 1);
    
    // Our second instruction is to move guy to a coordinate
    scriptStep++;
    ConditionWaitForGuyPosition(scriptStep, scriptStep + 1, 220, 100);

    // We introduce Guy to the user
    scriptStep++;
    ActionDrawBubble(scriptStep, -1, "Hi, I am Guy.", 220, 65);
    ConditionWaitForMouseClick(scriptStep, scriptStep + 1);

    // A few more sentences by guy...
    scriptStep++;
    ActionDrawBubble(scriptStep, scriptStep + 1, "This blog entry is going to be long...", 220, 65);
    ConditionWaitForMouseClick(scriptStep, scriptStep + 1);

    scriptStep++;
    ActionDrawBubble(scriptStep, -1, "I told Zet that no one will read that much.", 220, 65);
    ConditionWaitForMouseClick(scriptStep, scriptStep + 1);

    scriptStep++;
    ActionDrawBubble(scriptStep, -1, "But he insists there's no way around it.", 220, 65);
    ConditionWaitForMouseClick(scriptStep, scriptStep + 1);

    scriptStep++;
    ActionDrawBubble(scriptStep, -1, "So I will leave through my magic door....", 220, 65);
    // let's draw a closed doof for the next 3 script steps
    ActionDrawSprite(scriptStep, scriptStep + 3, doorClosed, 300, 100);
    ConditionWaitForMouseClick(scriptStep, scriptStep + 1);

    scriptStep++;
    ConditionWaitForGuyPosition(scriptStep, scriptStep + 1, 280, 100);

    scriptStep++;
    ConditionWaitForSeconds(scriptStep, 1.0f);

    scriptStep++;
    // replace the open door sprite with the closed one for another 3 steps
    ActionDrawSprite(scriptStep, scriptStep + 3, doorOpened, 300, 100);
    ConditionWaitForSeconds(scriptStep, 0.5f);
    ActionDrawBubble(scriptStep, scriptStep + 2, "Have fun!", 300, 65);

    scriptStep++;
    ConditionWaitForGuyPosition(scriptStep, scriptStep + 1, 298, 100);

    scriptStep++;
    ConditionWaitForSeconds(scriptStep, 0.5f);

    scriptStep++;
    ActionDrawSprite(scriptStep, scriptStep + 1, doorClosed, 300, 100);
}
